Subject: RE: Less fails with link error
From: David Balazic <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Wed, 6 Aug 2003 17:46:34 +0200

> ----------
> From: 	Larry Hall[SMTP:[email-masked]]
> Reply To: 	[email-masked]
> Sent: 	6. avgust 2003 17:32
> To: 	David Balazic
> Cc: 	[email-masked]'
> Subject: 	Re: Less fails with link error
> 
> David Balazic wrote:
> 
> > If I try to run less from bash, I get a dialog saying :
> > 
> > less.exe - Entry Point Not Found
> > 
> > The procedure entry point __getreent could not be located in the dynamic
> > link library cygwin1.dll.
> > 
> > [OK]
> 
> 
> You've installed some test packages but you're not running the test
??? I just did a simple install of cygwin with setup.exe ( I only changed
the install dir and selected some additional packages to install : less,
zip, unzip
and maybe some other I can't remember right now )

> cygwin package.  Rerun setup, make sure you *don't* change the default
> "Curr" to "Exp" and let it install anything it needs to.  Try it again.
Just run setup and click on NEXT intul FINISH or should I change some
options.

> > 
> > I would give you the "less" version number , but "rpm -q less" gives :
> > 
> > $ rpm -qa
> > error: db4 error(13) from dbenv->open: Permission denied
> > error: cannot open Packages index using db3 - Permission denied (13)
> > error: cannot open Packages database in /var/lib/rpm
> > no packages
> > 
> > 
> > Doesn't anything work in cygwin  ? :-)
> 
> 
> No, nothing does.  You shouldn't use it.  Try Windows apps and O/Ss.
> They _always_ work.
> 
Excuse me, but after installing RH linux, less worked, rpm worked, all the
tools
worked, they were not eclipsed by some phantom mount on my rootfs ( see my
other
thread "RE: Directory problems after fresh install of v1.3.22-1" )

> Did you install 'less' via 'rpm'?  If you did, you want to inquire at the
I installed less during setup

> site that provided 'less' as an RPM file for assistance.  If you did not
> install 'less' via 'rpm', why are you surprised that it's not in the
> RPM DB?  BTW, 'cygcheck -c less' always provides package version
> information if you install via setup.exe.
> 
I assumed cygwin manages the packages via RPM, I guess I was wrong.

$ cygcheck -c less
Cygwin Package Information
Package              Version
less                 381-1

> -- 
> Larry Hall                              http://www.rfk.com
> RFK Partners, Inc.                      (508) 893-9779 - RFK Office
> 838 Washington Street                   (508) 893-9889 - FAX
> Holliston, MA 01746
> 
> 
> #################################################################
> #################################################################
> #################################################################
> #####
> #####
> #####
> #################################################################
> #################################################################
> #################################################################
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/